org.apache.ignite.internal.processors.cache.distributed.near

## Class GridNearTxFinishAndAckFuture

- java.lang.Object
- - org.apache.ignite.internal.util.future.GridFutureAdapter<IgniteInternalTx>
  - - org.apache.ignite.internal.processors.cache.distributed.near.GridNearTxFinishAndAckFuture

All Implemented Interfaces:
  IgniteInternalFuture<IgniteInternalTx>, NearTxFinishFuture

    public class GridNearTxFinishAndAckFuture
    extends GridFutureAdapter<IgniteInternalTx>
    implements NearTxFinishFuture

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `commit()`
`void` `finish(boolean commit, boolean clearThreadMap, boolean onTimeout)`
`void` `onNodeStop(IgniteCheckedException e)`
`String` `toString()`
`GridNearTxLocal` `tx()`

### Methods inherited from class org.apache.ignite.internal.util.future.GridFutureAdapter

`cancel, chain, chain, error, get, get, get, getUninterruptibly, ignoreInterrupts, isCancelled, isDone, isFailed, listen, logger, onCancelled, onDone, onDone, onDone, onDone, onDone, reset, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.IgniteInternalFuture

`cancel, chain, chain, error, get, get, get, getUninterruptibly, isCancelled, isDone, listen, result`

### Method Detail

#### commit

    public boolean commit()

Specified by:
  `commit` in interface `NearTxFinishFuture`
Returns:
  Commit flag.

#### tx

    public GridNearTxLocal tx()

Specified by:
  `tx` in interface `NearTxFinishFuture`
Returns:
  Transaction.

#### finish

    public void finish(boolean commit,
                       boolean clearThreadMap,
                       boolean onTimeout)

Specified by:
  `finish` in interface `NearTxFinishFuture`
Parameters:
  `commit` - Commit flag.
  `clearThreadMap` - If `true` removes `GridNearTxLocal` from thread map.
  `onTimeout` - If `true` called from timeout handler.

#### onNodeStop

    public void onNodeStop(IgniteCheckedException e)

Specified by:
  `onNodeStop` in interface `NearTxFinishFuture`
Parameters:
  `e` - Error.

#### toString

    public String toString()

Overrides:
  `toString` in class `GridFutureAdapter<IgniteInternalTx>`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.5
Release Date | : June 4 2019